Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.express.mdm
Interface MdmDimensionDefinitionVisitor

Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

public interface MdmDimensionDefinitionVisitor

Method Summary
`java.lang.Object` | `visitMdmAliasDefinition(MdmAliasDimensionDefinition definition, java.lang.Object context)` Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.
`java.lang.Object` | `visitMdmBaseDefinition(MdmBaseDimensionDefinition definition, java.lang.Object context)` Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.
`java.lang.Object` | `visitMdmUnionDefinition(MdmUnionDimensionDefinition definition, java.lang.Object context)` Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

Method Detail

### visitMdmAliasDefinition

    public java.lang.Object visitMdmAliasDefinition(MdmAliasDimensionDefinition definition,
                                                    java.lang.Object context)

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

### visitMdmBaseDefinition

    public java.lang.Object visitMdmBaseDefinition(MdmBaseDimensionDefinition definition,
                                                   java.lang.Object context)

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

### visitMdmUnionDefinition

    public java.lang.Object visitMdmUnionDefinition(MdmUnionDimensionDefinition definition,
                                                    java.lang.Object context)

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.